#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x94,0xF4,0x2D,0x21,0x34,0x47,0x4C,0x43,0x9D,0x8F,0x56,0x58,
		0xEF,0x64,0x0F,0x86,0x6E,0x75,0x66,0x24,0xDE,0x0F,0xA8,0x4B,
		0x16,0x29,0x7B,0x14,0xDD,0x34,0x39,0x6D,0xAA,0x99,0x62,0x93,
		0x18,0xC5,0x43,0xD0,0xA7,0xFB,0x15,0x69,0x35,0x82,0x85,0x7E,
		0x34,0x2C,0xF2,0xAB,0x60,0x29,0x20,0x88,0xBA,0xE8,0x04,0x68,
		0x6F,0xA6,0x27,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
